Retrieves a list of Groups.

- Requests must specify a filter. Requests without a `filter` parameter return a `tooMany` error.
- The `filter` parameter only supports equality on `displayName` (for example, `displayName eq "Group Name"`) or `externalId` (for example, `externalId eq "ddaafa46e2b6"`).
- Sub-string matches (`co`, `sw`, `ew`), logical operators (`and`, `or`), and complex value filters are not supported.
- Pagination is not supported. If there are more than 50 group matches, only the first 50 results will be returned.

### HTTP request

`GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Groups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Required. The customer ID. |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` The filter parameter. |

### Request body

The request body must be empty.

### Response body

Response message from listing Groups.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "schemas": [ string ], "resources": [ { object (`https://docs.cloud.google.com/identity/docs/scim/reference/rest/v1/customers.v2.Groups#Group`) } ], "totalResults": integer } ``` |

| Fields ||
|---|---|
| `schemas[]` | `string` The schemas for the returned resources. |
| `resources[]` | ``object (`https://docs.cloud.google.com/identity/docs/scim/reference/rest/v1/customers.v2.Groups#Group`)`` The list of requested resources. |
| `totalResults` | `integer` The total number of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.groups.readonly`
- `https://www.googleapis.com/auth/cloud-identity.groups`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://docs.cloud.google.com/workspace/guides/configure-oauth-consent).